Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions
Lucene::CycleCheckT< TYPE > Class Template Reference

`#include <CycleCheck.h>`

Inheritance diagram for Lucene::CycleCheckT< TYPE >:

## Public Member Functions

| CycleCheckT ()
virtual | ~CycleCheckT ()
Public Member Functions inherited from Lucene::CycleCheck
virtual | ~CycleCheck ()

## Additional Inherited Members

Static Public Member Functions inherited from Lucene::CycleCheck
template<class TYPE>
static void | addStatic (TYPE &staticRef)
static void | dumpRefs ()
Protected Member Functions inherited from Lucene::CycleCheck
void | addRef (const String &className, int32_t ref)
Static Protected Member Functions inherited from Lucene::CycleCheck
static void | addStatic (LuceneObjectPtr *staticRef)
Static Protected Attributes inherited from Lucene::CycleCheck
static MapStringInt | cycleMap
static Set< LuceneObjectPtr * > | staticRefs

## Constructor & Destructor Documentation

## ◆ CycleCheckT()

template<class TYPE>

Lucene::CycleCheckT< TYPE >::CycleCheckT | ( |  | ) |

inline

References Lucene::CycleCheck::addRef().

## ◆ ~CycleCheckT()

template<class TYPE>

virtual Lucene::CycleCheckT< TYPE >::~CycleCheckT | ( |  | ) |

inline virtual

References Lucene::CycleCheck::addRef().

The documentation for this class was generated from the following file:

- CycleCheck.h

clucene.sourceforge.net